package pwc.taxtech.atms.dao;

import org.springframework.beans.factory.annotation.Autowired;
import org.springframework.stereotype.Service;
import pwc.taxtech.atms.entity.EnterpriseAccountSetOrg;
import pwc.taxtech.atms.entity.EnterpriseAccountSetOrgExample;

import java.util.List;

@Service
public class EnterpriseAccountSetOrgDao {
    @Autowired
    private EnterpriseAccountSetOrgMapper mapper;

    public List<EnterpriseAccountSetOrg> getByOrgIdAndAccountSetId(String orgId, String accountSetId) {
        EnterpriseAccountSetOrgExample example = new EnterpriseAccountSetOrgExample();
        EnterpriseAccountSetOrgExample.Criteria criteria = example.createCriteria();
        criteria.andOrganizationIDEqualTo(orgId);
        criteria.andEnterpriseAccountSetIDEqualTo(accountSetId);
        return mapper.selectByExample(example);
    }
}
