package pwc.taxtech;

import org.slf4j.Logger;
import org.slf4j.LoggerFactory;
import org.springframework.boot.CommandLineRunner;
import org.springframework.boot.SpringApplication;
import org.springframework.boot.autoconfigure.SpringBootApplication;
import org.springframework.context.annotation.Bean;

import java.net.URISyntaxException;

@SpringBootApplication
public class Application {

    private static final Logger log = LoggerFactory.getLogger(Application.class);

    public static void main(String[] args) throws URISyntaxException {
        SpringApplication.run(Application.class);
    }

    @Bean
    public CommandLineRunner initDb() {
        return (args) -> {
//            repository.save(new AccountMapping());
            log.info("init some data to db");
//            log.info("result for query {}", repository.findAll().toString());
        };
    }
}
