package pwc.taxtech.drop;

import javax.persistence.Basic;
import javax.persistence.Column;
import javax.persistence.Entity;
import javax.persistence.Id;
import javax.persistence.Table;
import java.util.Objects;

import static pwc.taxtech.Const.PROJECT_ADMIN;

@Entity
@Table(name = "WF_AUDIT_REPORT_LEVEL_ROLE", schema = PROJECT_ADMIN, catalog = "")
public class WorkflowAuditReportLevelRole {
    private String id;
    private String workflowAuditReportLevelId;
    private String roleId;

    @Id
    @Column(name = "ID", nullable = false, length = 128)
    public String getId() {
        return id;
    }

    public void setId(String id) {
        this.id = id;
    }

    @Basic
    @Column(name = "WORKFLOW_AUDIT_REPORT_LEVEL_ID", nullable = false, length = 128)
    public String getWorkflowAuditReportLevelId() {
        return workflowAuditReportLevelId;
    }

    public void setWorkflowAuditReportLevelId(String workflowAuditReportLevelId) {
        this.workflowAuditReportLevelId = workflowAuditReportLevelId;
    }

    @Basic
    @Column(name = "ROLE_ID", nullable = false, length = 128)
    public String getRoleId() {
        return roleId;
    }

    public void setRoleId(String roleId) {
        this.roleId = roleId;
    }

    @Override
    public boolean equals(Object o) {
        if (this == o) return true;
        if (o == null || getClass() != o.getClass()) return false;
        WorkflowAuditReportLevelRole that = (WorkflowAuditReportLevelRole) o;
        return Objects.equals(id, that.id) &&
                Objects.equals(workflowAuditReportLevelId, that.workflowAuditReportLevelId) &&
                Objects.equals(roleId, that.roleId);
    }

    @Override
    public int hashCode() {
        return Objects.hash(id, workflowAuditReportLevelId, roleId);
    }
}
