package pwc.taxtech.drop;

import javax.persistence.Basic;
import javax.persistence.Column;
import javax.persistence.Entity;
import javax.persistence.Id;
import javax.persistence.Table;
import java.util.Objects;

import static pwc.taxtech.Const.PROJECT_ADMIN;

@Entity
@Table(name = "WF_AUDIT_REPORT_LEVEL_USER", schema = PROJECT_ADMIN, catalog = "")
public class WorkflowAuditReportLevelUser {
    private String id;
    private String workflowReportAuditLevelId;
    private String userId;

    @Id
    @Column(name = "ID", nullable = false, length = 128)
    public String getId() {
        return id;
    }

    public void setId(String id) {
        this.id = id;
    }

    @Basic
    @Column(name = "WORKFLOW_REPORT_AUDIT_LEVEL_ID", nullable = false, length = 128)
    public String getWorkflowReportAuditLevelId() {
        return workflowReportAuditLevelId;
    }

    public void setWorkflowReportAuditLevelId(String workflowReportAuditLevelId) {
        this.workflowReportAuditLevelId = workflowReportAuditLevelId;
    }

    @Basic
    @Column(name = "USER_ID", nullable = false, length = 128)
    public String getUserId() {
        return userId;
    }

    public void setUserId(String userId) {
        this.userId = userId;
    }

    @Override
    public boolean equals(Object o) {
        if (this == o) return true;
        if (o == null || getClass() != o.getClass()) return false;
        WorkflowAuditReportLevelUser that = (WorkflowAuditReportLevelUser) o;
        return Objects.equals(id, that.id) &&
                Objects.equals(workflowReportAuditLevelId, that.workflowReportAuditLevelId) &&
                Objects.equals(userId, that.userId);
    }

    @Override
    public int hashCode() {
        return Objects.hash(id, workflowReportAuditLevelId, userId);
    }
}
