package pwc.taxtech.atms.service;

import java.util.List;

import pwc.taxtech.atms.dpo.StatisticAttributeDisplayDto;
import pwc.taxtech.atms.dto.OperationResultDto;
import pwc.taxtech.atms.dto.StatisticAttributeDto;

public interface StatisticAttributeService {

    List<StatisticAttributeDisplayDto> getStatisticAttributeListByDimensionID(String parentDimensionID,
            List<StatisticAttributeDisplayDto> rawAttrList);

    @SuppressWarnings("rawtypes")
    OperationResultDto updateStatisticAttribute(List<StatisticAttributeDisplayDto> attributeList);

    List<StatisticAttributeDto> getStatisticAttributeList(String dictionaryCode);
    
    List<StatisticAttributeDisplayDto> getOrgSubChildrenStatAttributeList(String parentDimensionID);

}
