package pwc.taxtech.atms.vat.service;

import pwc.taxtech.atms.dto.vatdto.VatEnterpriseAccountDto;
import pwc.taxtech.atms.vat.dpo.TrialBalanceDto;
import pwc.taxtech.atms.vat.entity.VatEnterpriseAccount;

import java.util.List;

public interface TBDataImportService {
    List<TrialBalanceDto> getTrialBalanceData(int fromPeriod, int toPeriod);

    List<TrialBalanceDto> getTrialBalanceStdData(int fromPeriod, int toPeriod);

    List<VatEnterpriseAccountDto> getEnterpriseAccount();

    List<VatEnterpriseAccountDto> getStandardAccount();
}
