package pwc.taxtech.drop;

import javax.persistence.Basic;
import javax.persistence.Column;
import javax.persistence.Entity;
import javax.persistence.Id;
import javax.persistence.Table;
import java.util.Objects;

import static pwc.taxtech.Const.PROJECT_ADMIN;

@Entity
@Table(name = "WORKFLOW_MESSAGE_ROLE", schema = PROJECT_ADMIN, catalog = "")
public class WorkflowMessageRole {
    private String id;
    private String workflowMessageId;
    private String roleId;

    @Id
    @Column(name = "ID", nullable = false, length = 128)
    public String getId() {
        return id;
    }

    public void setId(String id) {
        this.id = id;
    }

    @Basic
    @Column(name = "WORKFLOW_MESSAGE_ID", nullable = false, length = 128)
    public String getWorkflowMessageId() {
        return workflowMessageId;
    }

    public void setWorkflowMessageId(String workflowMessageId) {
        this.workflowMessageId = workflowMessageId;
    }

    @Basic
    @Column(name = "ROLE_ID", nullable = false, length = 128)
    public String getRoleId() {
        return roleId;
    }

    public void setRoleId(String roleId) {
        this.roleId = roleId;
    }

    @Override
    public boolean equals(Object o) {
        if (this == o) return true;
        if (o == null || getClass() != o.getClass()) return false;
        WorkflowMessageRole that = (WorkflowMessageRole) o;
        return Objects.equals(id, that.id) &&
                Objects.equals(workflowMessageId, that.workflowMessageId) &&
                Objects.equals(roleId, that.roleId);
    }

    @Override
    public int hashCode() {
        return Objects.hash(id, workflowMessageId, roleId);
    }
}
